pvsdisp
Prev | Orchestra Opcodes and Operators | Next

## pvsdisp

pvsdisp — Displays a PVS signal as an amplitude vs. freq graph.

## Description

This opcode will display a PVS signal fsig. It prints the frames every hopsize. Uses X11 or FLTK windows if enabled, else (or if -g flag is set) displays are approximated in ASCII characters.

## Syntax

    pvsdisp fsig[, ibins, iwtflg]

## Initialization

ibins (optional, default=all bins) -- optionally, display only ibins bins.

iwtflg (optional, default=0) -- wait flag. If non-zero, each pvsdisp is held until released by the user. The default value is 0 (no wait).

## Performance

pvsdisp -- displays the PVS signal frame-by-frame.

Note: when there is nothing to display (silences), messages like these will accompany each plot:

    instr 1, pvs-signal fsig:	10 points, scalemax 0.000

## Examples

Here is an example of the pvsdisp opcode. It uses the file pvsdisp.csd.

Example 824. Example of the pvsdisp opcode

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -n  ;;;no sound
    ; For Non-realtime ouput leave only the line below:
    ; -o pvsdisp.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    0dbfs  = 1
    nchnls = 2

    instr 1

    asig soundin "fox.wav"  ;select a soundifle
    fsig pvsanal asig, 1024, 256, 1024, 1
         pvsdisp fsig, 10

    endin

    </CsInstruments>
    <CsScore>
    i 1 0 2.7
    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

pvsanal, pvsynth, dispfft, print, pvsadsyn

## Credits

Author: Victor Lazzarini, 2006

Prev | Up | Next
pvsdiskin | Home | pvsfilter